# maubot

> deploy's an instance of the maubot-plugin-system for a matrix home server

<!-- metadata -->

* **Category**: Apps
* **Status**: 0
* **Image**: [`maubot`](https://mau.dev/maubot/maubot/container_registry), 4, upstream
* **Healthcheck**: No
* **Backups**: No
* **Email**: No
* **Tests**: No
* **SSO**: No

<!-- endmetadata -->

## Quick start

* `abra app new maubot`
* `abra app config maubot`
* `abra app secret insert <app-name> homeserver_registration v1 "your-homeserver-shared-registration-secret"`
* `abra app secret generate <app-name> -a`
* `abra app deploy <app-name>`

## Usage
You can use maubot...

### via the web interface 
After deployment head to: `$DOMAIN/_matrix/maubot/` and login with your admin-user and password

### via the cli 
Bot users and plugins can be most easily be uploaded via cli.

General info on the cli: https://docs.mau.fi/maubot/usage/cli/index.html 

You can install the cli locally or access it in the container:

`abra app run $DOMAIN app sh`

### Deploy a plugin and create a bot user via abra scripts
Furthermore there are two useful scripts:

### 1. deploy plugin from git repro
Most existing plugins are on github. Here you find links to the repos: https://plugins.mau.bot/ .
To deploy it simply copy the URL to the ZIP of the repo (e.g. `https://github.com/maubot/reminder/archive/refs/heads/master.zip`) and then:

`abra app cmd <APP-NAME> app deploy_plugin <DOMAIN_OF_REPO_ZIP>`

### 2. assign an (existing) user as bot user via ssh
`abra app cmd <APP-NAME> app assign_bot_user_via_sso`

This will show an url to sign in via ssh. After sso-login the user will be a bot user in maubot.

Now you are ready to go to create an instance (i.e. a plugin connected to a bot user) via web interface.

## More
For more, see official documentation of maubot [`docs.mau.fi/maubot`](https://docs.mau.fi/maubot/).
